Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.ofauth.com/v2/account/connections/{connectionId}/settings \ --header 'apiKey: <api-key>'
{ "connectionId": "<string>", "liveEvents": { "enabled": true, "enabledPayloadKeys": [ "<string>" ] }, "vaultPlus": { "enabled": true, "settingsOverrides": { "autoCacheVault": true, "autoCacheMessages": true, "autoCachePosts": true, "autoCacheStories": true, "minAccessCountVault": 123, "minAccessCountMessages": 123, "minAccessCountPosts": 123, "minAccessCountStories": 123, "cacheImages": true, "cacheVideos": true, "cacheAudio": true, "imageQualities": [], "videoQualities": [], "retentionDays": 123, "accessExpiryDays": 123, "presignedUrlTtlSeconds": 123, "storageLimitBytes": 123 }, "stats": { "vaultPlusEnabled": true, "totalStorageBytes": 123, "storageLimitBytes": 123, "mediaCount": 123, "storedCount": 123, "storageUsagePercent": 123 } } }
Get settings for a specific connection including Vault+ state
Your OFAuth API key for authenticating requests.
Connection settings
Show child attributes
Was this page helpful?